package core.user;

import java.io.File;
import java.util.Map;

public class Student extends User {
    private String grade;
    private String profession_code;

    @Override
    public String getType() {
        return "student";
    }

    public void setAttr(Map<String, String> vMap){
        super.setAttr(vMap);
        this.setGrade(vMap.get("grade"));
        this.setProfession_code(vMap.get("profession_code"));
    }


    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getProfession_code() {
        return profession_code;
    }

    public void setProfession_code(String profession_code) {
        this.profession_code = profession_code;
    }
}
